Загрузка...

Как установить моды на The long dark

Подробная инструкция по установке модов на игру The long dark, начиная с версии 1.79 и выше

  • Alt

Наконец-то мы дождались это знаменательного момента Yahoo моды на The long dark постепенно начинают работают для актуальной версии игры. Выражаем огромную благодарность разработчикам модов: WulfMarius, zeobviouslyfakeacc, Xpazeman и FINDarkside.

Функции отправки телеметрии и сообщений об ошибках должны быть отключены!

Перед тем как устанавливать систему поддержки модов, загрузите игру и убедитесь, что у Вас отключены функции отправки данных телеметрии и сообщений об ошибках:

Главное меню >>> Настройки >>> Личные данные

Отключение функции отправки телеметрии и сообщений об ошибках в The long dark

Далее, необходимо скачать файл MelonLoader.Installer.exe (v 0.6.2 Open-Beta от 10.01.2024).

С новой версией MelonLoader 0.6.2 возникли сложности и большинство модов сейчас выпускают с расчетом на предыдущую версию - 0.6.1. До решения проблем, рекомендуется пока не обновлять MelonLoader или вернуть предыдущую версию (при установке ML есть возможность выбора версии).

Так как это АЛЬФА версия, в настройках ML (вкладка Settings) необходимо установить галочку напротив Show ALPHA Pre-Releases, чтобы версия 0.6.0 стала доступна для установки.

Обратите внимание, что программа находится в стадии открытого бета тестирования и, в настоящий момент, не работает на Windows 7

Установка MelonLoader

Файл находится в zip-архиве, соответственно, его нужно распаковать и запустить. Место, где будет располагаться этой файл, значения не имеет. После запуска MelonLoader, необходимо нажать на кнопку «Select» и указать программе путь до запускающего файла игры – «tld.exe» и нажать на кнопку «Открыть»

Программа MelonLoader.Installer для игры The long dark

Где искать файлы игры, если она куплена в Steam, можно посмотреть в этой статье.

Выбор запускающего файла tld.exe для игры The long dark

Далее, необходимо нажать на кнопку «Install» и дождаться окончания процесса установки.

Установка программы MelonLoader, для The long dark, прошла успешно

Если MelonLoader отказывается работать, убедитесь, что на Вашем компьютере установлены NET Framework 6.0 (Desktop Runtime) и Microsoft Visual C++ 2015-2019 Redistributable.

Проверьте, чтобы в используемых путях отсутствовали буквы русского алфавита.

Обновление / Удаление MelonLoader

Для того чтобы обновить или удалить систему поддержки модов, необходимо еще раз запустить программу MelonLoader и повторить действия, которые выполнялись при ее установке:

  • нажать на кнопку «Select»
  • указать путь до запускающего файла игры – «tld.exe»
  • нажать на кнопку «Открыть»

Далее:

  • для обновления – нажмите на кнопку «UpDate»
  • для удаления – нажмите на кнопку «Un-Install»

Если у Вас уже установлена последняя версия MelonLoader, то вместо кнопки «UpDate» будет «Re-Install» т.е. переустановить.

Обновление или удаление программы MelonLoader, для The long dark

Установка модов

Подготовительная часть закончилась, теперь приступаем к установке самих модов.

Большинство модов устанавливаются в папку «Mods», которая располагается в основном каталоге игры. Если такой папки у Вас нет – создайте ее самостоятельно.

Папка Mods, для установки модов, в основном каталоге игры The long dark

На данный момент, автоматический способ установки (как это было ранее – для версии 1.56) недоступен. В связи с этим, на странице с общим перечнем модов, появилась возможность скачать последние версии тех из них, которые разработчики смогли адаптировать под актуальную версию игры.

Общий перечень всех известных модов, с их описанием, можно посмотреть на этой странице

Для установки мода необходимо скачать соответствующий ему файл. Он находится в zip-архиве, соответственно, необходимо будет его распаковать и поместить содержимое архива в папку «Mods».

>>> Не оставляйте в данной папке архивы! <<<

После этого можно запускать игру и наслаждаться новым функционалом Wink

Установка некоторых модов отличается от стандартной. В этом случае процедура установки представлена в описании такого мода.

Во время загрузки игры будет появляться дополнительное окно. Не пугайтесь – это нормально.

Дополнительное окно при запуске The long dark с поддержкой модов

Для работы некоторых модов, которые имеют собственные настройки, необходима дополнительная библиотека «ModSettings». Рекомендуется сразу ее установить и больше не вспоминать про этот вопрос. Библиотека устанавливается как обычный мод, путем копирования содержимого архива в папку «Mods».

Для работы модов, которые добавляют в игру дополнительные предметы, например Northfolk Clothing Pack или Food-Pack, необходимы дополнительные библиотеки «Mod Component», «Localization Utilities» «Gear Spawner» и «Crafting Revisions». Таких модов немного, но, если Вы планируете их использовать, можно сразу установить необходимые компоненты. Библиотеки устанавливаются как обычные моды, путем копирования содержимого архивов в папку «Mods». В описании каждого мода присутствует информация о необходимости дополнительных библиотек, если такая потребность имеется.

Если Вам необходимо использовать мод который не поддерживается актуальной версией игры, тогда можно воспользоваться Капсулой времени (инструкция на этой странице), установить версию 1.56 и использовать любой имеющийся мод.

Подробную инструкцию по установке модов на версию 1.56 можно посмотреть здесь

Epic Games

В феврале 2023 года разработчик с ником Xpazeman выпустил тестовую версию плагина, который позволяет запускать актуальные моды в игре The long dark, купленной через Epic Games. Данный плагин отключает Epic Online Services поэтому при запуске Melon Loader игра не будет вылетать, однако, одновременно с этим, потеряются игровые достижения.

Установка:

  • Скачайте архив с плагином и распакуйте его в любом месте;
  • Файл «TLDEpicGamesModCompat.dll» поместите в папку: TheLongDark \ Plugins;
  • При первом запуске игры в папке Mods будет создан файл TLDEOSBypasser.dll.

Важные моменты:

Плагин отключит возможность получить доступ к дополнительному контенту: Wintermute и TFTFT т.к. не будет работать служба для проверки прав собственности. Система будет показывать, что у Вас нет прав на дополнения даже если Вы их приобретали.

Удалите плагин из папки Plugins, чтобы получить доступ к дополнениям или использовать загружаемый контент.

Плагин предназначен для использования с версией TLD 2.06 - 2.16 и ML 0.6.0 - 0.6.1, соответственно ему понадобится 6 версия Net Framework для корректной работы. Также он будет поддерживать только те моды, которые адаптировали для работы с TLD 2.06 - 2.16.

Обновление модов

В конце июня 2021 года, один из разработчиков модов - «ds5678» очень сильно упростил алгоритм их использования в игре The long dark. В июне 2023 года другой разработчик модов «STBlade» доработал плагин, чтобы он работал с актуальной версией игры. Теперь моды могут обновляться автоматически. Для этого необходимо скачать архив с плагином:

распаковать его в любом месте и поместить файл «AutoUpdatingPlugin.dll» в папку «TheLongDark \ Plugins». После установки плагина, в процессе загрузки игры, система самостоятельно будет проверять актуальность используемых модов и, в случае необходимости, обновлять их до новых версий.

Удаление модов

Чтобы удалить какой-либо из модов, необходимо просто убрать его из папки «Mods». При наличии большого количества модов бывает сложно вспомнить какие именно файлы отвечают за тот или иной мод. В данном случае могу порекомендовать скачать мод еще раз, поместить его в отдельную папку, посмотреть из каких файлов он состоит и убрать их из основной папки с модами.

Некоторые моды создают в папке «Mods» дополнительный файл с одноименным названием и расширением «*.json» (как правило, в нем содержится информация о настройках мода). Если Вы окончательно удаляете мод и не планируете использовать его в дальнейшем - этот файл тоже необходимо удалить. Если Вы временно деактивируете какой-то из модов, то данный файл лучше оставить, чтобы потом не пришлось заново выставлять настройки.

Последние обновления статей с модами

Как установить моды на The long dark - 4 месяца 6 дней назад
Мод Developer Console на игру The long dark - 4 месяца 2 недели назад
Описание мода Food-Pack на игру The long dark - 5 месяцев 6 дней назад

Надеюсь смог помочь. Пусть согревает Вас дух огня в холодные зимние ночи! Hi!

Рекомендуемые статьи

Комментарии

    • Alt
      Очевидно, что что-то сделано не так, иначе мод бы работал. Вопрос, как понять что именно!? Какая версия MelonLoader у Вас установлена? Вы помещаете мод в папку ...\TheLongDark\Mods? Вы не забыли достать файл из архива и удалить сам архив из этой папки? Для чистоты эксперимента, сделайте так, чтобы в указанной папке у Вас находился только один файл - DeveloperConsole.dll
  • Alt
    Станислав
    вс, 10/10/2021 - 18:42 ответить
    MelonLoader версии 0.2.7.4 раньше работала консоль, после обновления 1.95 не хочет, уже все перепробывал...
    • Alt
      Попробуйте его обновить, возможно в этом кроется проблема. Сейчас актуальной является MelonLoader v. 0.4.3
  • Alt
    Станислав
    пн, 11/10/2021 - 11:55 ответить
    Спасибо от души мужики! да, действительно была беда из-за MelonLoader, обновил и заработала консоль. человеческое СПАСИБО))))
    • Alt
      Хорошо, что удалось решить проблему. Желаю приятной игры!
    • Alt
      Painfull
      чт, 14/10/2021 - 16:54 ответить
      Добрый день. Что-то ещё делали, а то я на своей 1.95 Стим + 0.4.3 melonLoader так и не смог запустить игру.
      • Alt
        чт, 14/10/2021 - 18:34 ответить
        Я немного не понял вопрос. Если Вы о модах, то сейчас разработчики модов усердно работают с модами, которым нужен Mod Component. Они исправляют ошибки и выпускают их под 1.95. Насчет Melon Loader, возможно, Вы что - то неправильно сделали. Убедитесь во всех своих ошибках. Попробуйте заново скачать установщик. У меня работает.
        • Alt
          Painfull
          чт, 14/10/2021 - 21:36 ответить
          Немного поясню. Стояла игра + мод Developer Console, всё работало до последнего обновления. Игра обновилась, лоадер и мод не обновлял, при старте игры запускается скрипт, но api не определяется и соответственно не работает мод. Обновив инсталлер лоадера и установив 0.4.3 попытался запустить игру и она теперь вообще не стартует, пробовал с лоадером от 0.3.0 - 0.4.3. Удаляю и устанавливаю лоадер только инсталлером. Вернул 0.2.7.4, запуск идёт, но мод не работает. Поэтому и спросил, может что-то ещё сделать надо.
      • Alt
        чт, 14/10/2021 - 20:01 ответить
        Какая у Вас операционная система? Разработчики признали проблему с запуском игры на Windows 7.
        • Alt
          Painfull
          пт, 15/10/2021 - 16:11 ответить
          Windows 10
          • Alt
            пт, 15/10/2021 - 21:51 ответить
            У меня была проблема с запуском игры сразу после обновления. Как потом выяснилось, проблема была в модах, которые не поддерживались новой версией игры (1.95). Удалил плагин автообновления, все моды кроме Developer Console и игра заработала. Соответственно, в конфигурации win 10, игра 1.95, ML 0.4.3 + только Developer Console все должно работать. Попробуйте еще обновить NET Framework и Microsoft Visual C++, возможно в этом кроется проблема.
            • Alt
              Painfull
              сб, 16/10/2021 - 09:36 ответить
              Спасибо за совет. Помогло обновление Microsoft Visual C++.
        • Alt
          Гость
          пт, 26/11/2021 - 20:54 ответить
          Подскажите, пожалуйста, а проблему с запуском игры на Windows 7 будут фиксить, или прекратят поддержку для этой системы? У меня Windows 7(
  • Alt
    вт, 12/10/2021 - 10:09 ответить
    Господа присяжные! Можно вопрос: Какие моды сейчас работают. Перечислите их все. А то у меня одна консоль.
    • Alt
      вт, 12/10/2021 - 13:38 ответить
      Информация меняется каждый день и актуализируется на отдельной странице с общим перечнем модов, достаточно будет отсортировать их по дате обновления. На главной странице имеется блок со сводной информацией о последних обновлениях модов. На данный момент возникают проблемы с модами, для работы которых необходим Mod Component. Остальные моды разработчики постепенно обновляют.
  • Alt
    чт, 14/10/2021 - 12:02 ответить
    Были созданы новые моды FORLORN MUSKEG MAP и THE LONG DARK SAVE EDITOR
  • Alt
    чт, 14/10/2021 - 12:28 ответить
    Я желаю купить Компьютер IRU Game 525. Он прекрасен превосходным ФПС ( 120 - 150 в CS - GO ). Но я увидел там процессор не Intel Core, а AMD Ryzen. Пойдет ли этот процессор ли на игру или покупать мне компьютер только с Intel Core?
    • Alt
      чт, 14/10/2021 - 19:02 ответить
      Посмотри тесты. Если не ошибаюсь, у Ryzen сейчас выше производительность чем у аналогичного Intel.
  • Alt
    adrianna
    чт, 14/10/2021 - 14:54 ответить
    Не знаю, куда это писать, попробую сюда. Надеюсь, кто-нибудь ответит. Мод на стартовый лут (Choose Starting Gear) приводит к тому, что персонаж появляется с пустым инвентарём, даже если в настройках мода стоит дефолтный лут игры. Он несовместим с текущей версией или с каким-то другим модом конфликтует? Мод на одеяло - пропали рецепты одеяла и спальника после того, как я установила новую версию, которая требовала ModComponent. Вернула старую - есть рецепты. Теперь задаюсь вопросом, не окажется ли, что и остальные моды, кладущие что-то в ModComponentZips, не заработают? Впрочем, я и рецепта на металлолом из банок не вижу, хотя он не требует ModComponent...
    • Alt
      adrianna
      чт, 14/10/2021 - 18:24 ответить
      Поправка: рецепт банок появился. Мне казалось, что я перезапускала игру после его добавления, но, видимо, нет...
    • Alt
      чт, 14/10/2021 - 18:30 ответить
      Сейчас идут проблемы с модами после 1.95. Моды с ModComponent пока что плохо работают. В будущем, это исправят. Пока стабильно работают простые моды и моды с Mod Settings. Пока будем молиться, пока все сделают.
    • Alt
      Обращайте внимание на версию игры, для которой предназначен мод и особое внимание на необходимость дополнительных библиотек. Разница между версиями 1.94 и 1.95 оказалась достаточно большой. Мы не успели еще протестировать все моды т.к. их очень много, но, скорее всего, будут возникать проблемы с модами, которые требуют для своей работы какие-либо дополнительные библиотеки.
  • Alt
    ValdiS
    чт, 14/10/2021 - 22:23 ответить
    У кого-нибудь после обновления нормально Food-Pack работает? Игра - лицензия стим, обновленная, все моды актуальны. Сам пак скачан с гит-хаба. Но добавляемые им продукты в рюкзаке отсутствуют, добавить через консоль их так же не получается. И сразу уточняющий вопрос: AutoUpdatingPlugin подобные моды обновляет?
    • Alt
      чт, 14/10/2021 - 23:05 ответить
      Food-Pack не работает, поэтому мы не стали его пока публиковать. Плагин не видит моды которые состоят только из архива с вещами и не имеют дополнения в виде библиотеки .dll
      • Alt
        ValdiS
        сб, 16/10/2021 - 00:15 ответить
        Для Food-Pack обновилась инструкция по установке. Кроме установки зависимостей из прочих модов, необходимо файл Food-Pack.modcomponent копировать сразу в папку Mods, а не в Mods\ModComponentZips\
        • Alt
          сб, 16/10/2021 - 00:30 ответить
          Мод Food-Pack при установке по новой инструкции заработал, продукты вернулись в рюкзак, их можно добавить через консоль.
        • Alt
          сб, 16/10/2021 - 00:41 ответить
          Спасибо за ценную информацию, сейчас внесу изменения в описание мода.
  • Alt
    adrianna
    пт, 15/10/2021 - 01:47 ответить
    Стимовская версия, ясное дело, последняя, иначе он не позволяет запускать игры. Моды на менеджмент воды и топлива имет и файл в ModComponent, и библиотеку, но тоже, похоже, не работают. Некоторые, состоящие только из .dll, работают, кстати. Например, мод на лесных волков в других локациях. А насчёт "не стали публиковать их"... На этой странице https://runtomeet.ru/content/mody-na-igru-long-dark выложены все моды, это сбило меня с толку. Раньше моды, неактуальные для текущей версии, нельзя было скачать.
  • Alt
    сб, 16/10/2021 - 00:37 ответить
    В инструкции по ModComponent версии 5.0 добавилось: "5.0 changes .modcomponent files now go directly into .../Mods/ folder."
  • Alt
    adrianna
    сб, 16/10/2021 - 03:48 ответить
    VALDIS, спасибо! Да, ридми стоит читать... Впрочем, предметы из модов даже так не появились. Видимо, действительно не работают на этой версии.
    • Alt
      Разработчики модов кардинальным образом изменили библиотеки поддержки, поэтому (как и с версией 1.56), для сложных многоструктурных модов можно провести условную черту - до версии 1.95 и после. Пока моды не адаптируют, они не будут работать с версией 1.95. При этом необходимо будет переустановить все дополнительные библиотеки т.к. они обновились. Альтернативным вариантом будет возврат к версии 1.94, при помощи капсулы времени, тогда все прежние моды будут работать как обычно.
  • Alt
    Если устанавливаешь моды, нужно начинать игру заново или можно в уже существующем сохранении играть?
    • Alt
      чт, 21/10/2021 - 23:01 ответить
      Большинство модов можно устанавливать и удалять в любой момент выживания. Есть несколько исключений из этого правила, но их очень мало и этот момент всегда указан в описании.
  • Alt
    сб, 23/10/2021 - 15:33 ответить
    Актуализирована информация по "старым" модам, которые корректно работают с версией 1.95 и не нуждаются в обновлении. Перед скачиванием обращайте внимание не только на дату обновления мода, но и на версию TLD на которой он тестировался.
    • Alt
      вс, 24/10/2021 - 09:40 ответить
      Сейчас начались закрываться моды для Windows 7. Это связано с прекращением поддержки Windows 7. У меня сейчас перестали работать Jump Mod, Infinity Fire, а Developer Cosnole вообще перестал корректно отвечать на команды.
  • Alt
    Шлепа
    сб, 20/11/2021 - 18:01 ответить
    А программа модов работает под версию игры 1.97? Не вижу меню в настройках Mod Settings
    • Alt
      сб, 20/11/2021 - 21:26 ответить
      Меню настроек Mod Settings может не появляться если нет модов, которые его используют.
      • Alt
        шлепа
        сб, 20/11/2021 - 22:18 ответить
        Ну вот я кинул папку с модом Fox Companion в папку Mods (D:\GAMES\STEAM\steamapps\common\TheLongDark\Mods) а в консолt пишет что нет установленных модов: > [22:16:01.049] No Mods Loaded! Может что-то еще требуется?
        • Alt
          сб, 20/11/2021 - 23:54 ответить
          Моды на версии 1.97 должны работать нормально, значит нужно искать почему у Вас не работает. Версия MelonLoader у Вас 0.4.3? Моды распаковали из архивов? Исходные архивы удалили из папки с модами? Рекомендую еще установить плагин для автоматического обновления - сильно облегчает жизнь. («AutoUpdatingPlugin.dll» в папку «TheLongDark\Plugins».)
  • Alt
    чт, 09/12/2021 - 19:45 ответить
    MelonLoader обновлен до версии 0.5.1 Open-Beta
  • Alt
    пт, 10/12/2021 - 18:50 ответить
    В предыдущей версии MelonLoader была обнаружена небольшая ошибка. Для ее исправления была выпущена новая версия - 0.5.2 Open-Beta
  • Alt
    шлепа
    сб, 11/12/2021 - 16:34 ответить
    Спасибо Лисичка и Spirit of fire. Обновил версию MelonLoader до 0.5.2 Open-Beta. К тому же, я распаковал архив мод Fox Companion в папку Mods а содержимое мода осталось в папке Fox Companion, содержимое после архива нужно было переместить с папки Fox Companion в саму папку Mods Надеюсь будет полезно тем если кто затупит.
  • Alt
    MelonLoader обновлен до версии 0.5.3 Open-Beta
  • Alt
    пн, 07/03/2022 - 17:43 ответить
    System.UnauthorizedAccessException: Access to the path 'C:\Program Files (x86)\The Long Dark\NOTICE.txt' is denied. at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath) at System.IO.FileStream.Init(String path, FileMode mode, FileAccess access, Int32 rights, Boolean useRights, FileShare share, Int32 bufferSize, FileOptions options, SECURITY_ATTRIBUTES secAttrs, String msgPath, Boolean bFromProxy, Boolean useLongPath, Boolean checkHost) at System.IO.FileStream..ctor(String path, FileMode mode, FileAccess access) at MelonLoader.OperationHandler.Automated_Install(String destination, String selected_version, Boolean is_x86, Boolean legacy_version) текст логов ошибки. как исправлять?
    • Alt
      вт, 08/03/2022 - 13:01 ответить
      Какая версия игры? Какая версия Melon Loader? Плагин автообновления установлен или нет? Какой мод был уставлен перед тем, как появилась ошибка? Какая версия мода?
  • Alt
    пн, 21/03/2022 - 22:15 ответить
    MelonLoader обновлен до версии 0.5.4 Open-Beta
  • Alt
    пн, 02/05/2022 - 22:02 ответить
    когда нажимаю install в MelonLoader доходит до 50% загрузка потом выходит ошибка (INTERNAL FAILURE! Please upload the log file) Версия игры 2.00 GOG

Оставить комментарий